Bug 48424 - Fix warnings/errors reported by clang's scan-build tool
Summary: Fix warnings/errors reported by clang's scan-build tool
Status: RESOLVED WONTFIX
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86 (IA32) All
: low normal
Assignee: mesa-dev
QA Contact:
URL: https://gitorious.org/jobermayr/scan-...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-07 11:49 UTC by Johannes Obermayr
Modified: 2018-04-12 13:09 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Obermayr 2012-04-07 11:49:03 UTC
https://gitorious.org/jobermayr/scan-build-mesa

~ 8 MB to download, 680 MB on disk.

Please report false positives here. I will forward them.
Comment 1 Kenneth Graunke 2012-04-07 12:55:28 UTC
Thanks for running this!  Looks like a neat tool.

Here's a false positive:

Logic error	Assigned value is garbage or undefined	mesa /drivers /dri /i965 /brw_vec4_visitor.cpp	1383	3

or: report-3rwkCp.html#EndPath
Comment 2 Chad Versace 2012-04-09 14:30:44 UTC
Thanks for doing this. Here's my review of mesa/main/extensions.c.

mesa/main/extensions.c:730: Thanks. I just submitted a patch for this memory leak. You're CC'd.

mesa/main/extensions.c:866: false positive
Comment 3 Johannes Obermayr 2012-04-14 10:37:00 UTC
A new weekend a new run pushed.

False positives are still there.
Comment 4 Timothy Arceri 2018-04-12 13:09:18 UTC
Patches are always welcome and this is an on going issue I don't think we need a bug to track this. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.